Cisco IOS Software IP Service Level Agreement Vulnerability

2013 年 4 月 15 日 - ライター翻訳版
その他のバージョン: PDFpdf | 英語版 (2013 年 4 月 12 日) | フィードバック

Advisory ID: cisco-sa-20130327-ipsla

http://www.cisco.com/cisco/web/support/JP/111/1117/1117671_cisco-sa-20130327-ipsla-j.html/

日本語による情報は、英語による原文の非公式な翻訳であり、英語原文との間で内容の齟齬がある場合には、英語原文が優先します。

Revision 1.3

Last Updated 2013 April 12 14:44 UTC (GMT)

For Public Release 2013 March 27 16:00 UTC (GMT)


要約

IP Service Level Agreement(IP SLA)機能を実装した Cisco IOS ソフトウェアには、IP SLA パケット検証に関する脆弱性が存在します。これにより、認証されていないリモートの攻撃者がサービス拒否(DoS)状態を引き起こす可能性があります。

シスコはこの脆弱性に対処する無償のソフトウェア アップデートをリリースしました。この脆弱性に対しては対応策があります。

このアドバイザリは、次のリンクで確認できます。http://www.cisco.com/cisco/web/support/JP/111/1117/1117671_cisco-sa-20130327-ipsla-j.html/

注:2013 年 3 月 27 日の Cisco IOS ソフトウェア セキュリティ アドバイザリ バンドル公開には、7 件のセキュリティ アドバイザリが含まれています。これらのアドバイザリはすべて、Cisco IOS ソフトウェアの脆弱性に対処するものです。各 Cisco IOS ソフトウェア セキュリティ アドバイザリには、そのアドバイザリで詳述された脆弱性を修正する Cisco IOS ソフトウェア リリース、および 2013 年 3 月にバンドル公開したすべての Cisco IOS ソフトウェアの脆弱性を修正する Cisco IOS ソフトウェア リリースを記載しています。

個別の公開リンクは、次のリンクにある「Cisco Event Response: Semiannual Cisco IOS Software Security Advisory Bundled Publication」に掲載されています。

http://www.cisco.com/cisco/web/support/JP/111/1117/1117670_Cisco_ERP_mar13-j.html

該当製品

この脆弱性は、該当する Cisco IOS ソフトウェアのバージョンが稼働していて、かつ脆弱性がある一般的な IP SLA レスポンダ設定を有するデバイスに影響を与えます。

脆弱性が認められる製品

Cisco IOS ソフトウェアが稼働しているシスコ デバイスに IP SLA レスポンダ機能が設定されている場合に、この脆弱性の影響を受けます。

デバイスに IP SLA レスポンダが設定されているかどうかは、次の 2 つの方法で確認できます。

  • デバイスの設定に IP SLA レスポンダ コマンドが含まれているか確認する
  • 稼働中のデバイスで IP SLA レスポンダが有効か確認する
Cisco IOS デバイスで IP SLA が有効になっているかどうかを確認するための推奨方法は、デバイスの設定を検査して IP SLA レスポンダが設定されているかどうかを確認することです。

デバイスの設定に IP SLA レスポンダ コマンドが含まれているか確認する

Cisco IOS ソフトウェアの設定で IP SLA レスポンダが有効にされているかどうかを確認します。ip sla responder グローバル コンフィギュレーション コマンドを使用します。次の例に示すように、 show running-config | include ip sla responder コマンドを使用して、設定に IP SLA が存在するかどうかを確認します。

Router> show running-config | include ip sla responder$
ip sla responder
Router>

稼働中のデバイスで IP SLA レスポンダが有効か確認する

Cisco IOS デバイスで IP SLA レスポンダが有効かどうか確認するには、 show ip sla responder | include ^General コマンドを実行します。脆弱性が存在する IP SLA レスポンダが有効な場合、出力に Enabled という行が含まれます。

次の例は、脆弱性のある IP SLA レスポンダが有効になっているデバイスを示しています。

Router# show ip sla responder | include ^General
General IP SLA Responder is: Enabled
Router# 

Cisco IOS ソフトウェア リリースを確認する

シスコ製品で稼働している Cisco IOS ソフトウェア リリースを確認するには、デバイスにログインし show version コマンドを実行してシステム バナーを表示させます。「Internetwork Operating System Software」、「Cisco IOS Software」あるいはこれらに類似するシステム バナーによってデバイスで Cisco IOS ソフトウェアが稼働していることを確認できます。その後ろにイメージ名が括弧の間に表示され、続いてバージョンと Cisco IOS ソフトウェア リリース名が表示されます。他のシスコ デバイスでは、show version コマンドがない場合や、表示が異なる場合があります。

次の例は、シスコ製品で Cisco IOS ソフトウェア リリース 15.0(1)M1 が稼働し、インストールされているイメージ名が C3900-UNIVERSALK9-M であることを示しています。

Router> show version 
Cisco IOS Software, C3900 Software (C3900-UNIVERSALK9-M), Version 15.0(1)M1, RELEASE SOFTWARE (fc1)
Technical Support: http://www.cisco.com/techsupport
Copyright (c) 1986-2009 by Cisco Systems, Inc.
Compiled Wed 02-Dec-09 17:17 by prod_rel_team
!--- output truncated 

Cisco IOS ソフトウェアのリリース命名規則の追加情報は以下のリンクにある「White Paper: Cisco IOS and NX-OS Software Reference Guide」で確認できます。http://www.cisco.com/web/about/security/intelligence/ios-ref.html

脆弱性が認められない製品

Cisco IOS デバイスは、一般的な IP SLA レスポンダ機能が設定されていない場合、この脆弱性の影響を受けません。

次の製品は、脆弱性の影響を受けないことが確認されています。

  • Cisco IOS XR ソフトウェア
  • Cisco NX-OS ソフトウェア
  • Cisco ASA ソフトウェア
この脆弱性の影響を受ける他のシスコ製品は、現在確認されていません。

詳細

IP SLA レスポンダはシスコ ルーティング デバイスに組み込まれたコンポーネントです。これによって、システムが IP SLA 要求パケットを予測して応答することが可能になります。 IP SLA レスポンダには次の 2 つのタイプがあります。

  • IP SLA ジェネラル レスポンダは、IP SLA Control Protocol を使用して IP SLA オペレーションを設定し、UDP ポート 1167 または UDP ポート 1967 でパケットを受信します。
  • IP SLA パーマネント レスポンダは、ユーザが設定したポートで UDP または TCP パケットを受信します。

Cisco IOSソフトウェアの IP SLA(Service Level Agreement) ジェネラル レスポンダ機能には実装面での脆弱性が存在するため、認証されていないリモートの攻撃者が該当デバイスにリロードを発生させる可能性があります。この脆弱性は、UDP ポート 1167 で受信した IP SLA パケットの不適切な検証に起因します。攻撃者が不正な IP SLA パケット を該当デバイス宛に送信することで、この脆弱性を不正利用する可能性があります。この不正利用により、攻撃者が長期的な DoS 状態を引き起こす可能性があります。

この脆弱性は、IP バージョン 4(IPv4)またはIP バージョン 6(IPv6)パケットを使用して不正利用することができます。

UDP ポート 1967 を使用する IP SLA ジェネラル レスポンダ および パーマネント UDP レスポンダは、この脆弱性の影響を受けません。

この脆弱性は、Cisco Bug ID CSCuc72594 (登録ユーザ専用)として文書化され、Common Vulnerabilities and Exposures(CVE)ID として CVE-2013-1148 が割り当てられています。

脆弱性スコア詳細

シスコは本アドバイザリでの脆弱性に対し、Common Vulnerability Scoring System(CVSS)に基づいたスコアを提供しています。本セキュリティ アドバイザリでの CVSS スコアは、CVSS バージョン 2.0 に基づいています。

CVSS は、脆弱性の重要度を示唆するもので、緊急性および対応の優先度を決定する組織の手助けとなる標準ベースの評価法です。

シスコでは、基本評価スコア(Base Score)および現状評価スコア(Temporal Score)を提供しています。お客様はこれらを用いて環境評価スコア(Environmental Score)を算出し、自身のネットワークにおける脆弱性の影響度を知ることができます。

シスコは次のリンクで CVSS に関する追加情報を提供しています。

http://www.cisco.com/web/about/security/intelligence/cvss-qandas.html

またシスコでは、各ネットワークにおける環境影響度を算出する CVSS 計算ツールを次のリンクで提供しています。

CSCuc72594 Cisco IOS IP SLA General Responder Vulnerability

Calculate the environmental score of CSCuc72594

CVSS Base Score - 7.8

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

None

None

Complete

CVSS Temporal Score - 6.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed

http://tools.cisco.com/security/center/cvssCalculator.x/

影響

この脆弱性が不正利用されると、該当するデバイスのリロードが引き起こされる可能性があります。

不正利用が続けられると、継続的な DoS 攻撃になる可能性があります。

ソフトウェア バージョンおよび修正

ソフトウェアのアップグレードを検討する場合は、http://www.cisco.com/go/psirt/ の Cisco Security Advisories, Responses, and Notices アーカイブや、後続のアドバイザリを参照して、起こりうる障害を判断し、それに対応できるアップグレード ソリューションを確認してください。

いずれの場合も、アップグレードするデバイスに十分なメモリがあること、現在のハードウェアとソフトウェアの構成が新規リリースで引き続き正しくサポートされていることを十分に確認してください。不明な点については、Cisco Technical Assistance Center(TAC)もしくは契約しているメンテナンス プロバイダーにお問い合わせください。

Cisco IOS ソフトウェア

Cisco IOS ソフトウェア テーブル(下記)の各行は Cisco IOS ソフトウェア トレインを示します。あるトレインが脆弱性を含む場合、修正を含む最初のリリースは「First Fixed Release」列に示されます。「First Fixed Release for All Advisories in the March 2013 Bundled Publication」列は、Cisco IOS ソフトウェア セキュリティ アドバイザリ バンドル公開に記載されたすべての脆弱性を修正する最初のリリースを示します。可能な限り、最新のリリースにアップグレードすることを推奨します。

Cisco IOS ソフトウェア チェッカーを利用して、特定の Cisco IOS ソフトウェア リリースに対応したシスコのセキュリティ アドバイザリを検索することができます。このツールは次の Cisco Security Intelligence Operations(SIO)ポータルで利用できます。http://tools.cisco.com/security/center/selectIOSVersion.x


Major Release      Availability of Repaired Releases
Affected 12.0-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
There are no affected 12.0 based releases
Affected 12.2-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
There are no affected 12.2 based releases
Affected 12.3-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
There are no affected 12.3 based releases
Affected 12.4-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
There are no affected 12.4 based releases
Affected 15.0-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
There are no affected 15.0 based releases
Affected 15.1-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
There are no affected 15.1 based releases
Affected 15.2-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
15.2GC Not vulnerable
Vulnerable; migrate to any release in 15.4T
15.2GCA Not vulnerable
Vulnerable; migrate to any release in 15.4T
15.2JA Not vulnerable
15.2(2)JA
15.2JAX Not vulnerable
Not vulnerable
15.2JB Not vulnerable
Not vulnerable
15.2JN Not vulnerable
Not vulnerable
15.2M 15.2(4)M3
15.2(4)M3
15.2S Vulnerable. Only releases 15.2(4)S through 15.2(4)S1 are vulnerable.


Cisco IOS XE devices: Please see Cisco IOS XE Software Availability

15.2(4)S2 Cisco IOS XE devices: Please see Cisco IOS XE Software Availability
15.2SA Not vulnerable
15.2(2)SA
15.2SNG Not vulnerable
Vulnerable; contact your support organization per the instructions in Obtaining Fixed Software section of this advisory.
15.2SNH Not vulnerable
Vulnerable; contact your support organization per the instructions in Obtaining Fixed Software section of this advisory.
15.2SNI Not vulnerable
Not vulnerable
15.2T Not vulnerable
15.2(1)T4; Available on 03-MAY-13
15.2(2)T3
15.2(3)T3
Affected 15.3-Based Releases First Fixed Release First Fixed Release for All Advisories in the March 2013 Bundled Publication
There are no affected 15.3 based releases

Cisco IOS XE ソフトウェア

Cisco IOS XE ソフトウェアは、このアドバイザリで説明した脆弱性の影響を受けます。

Cisco IOS XE Software Release First Fixed Release First Fixed Release for All Advisories in the March 2013 Cisco IOS Software Security Advisory Bundled Publication
2.1.x Not vulnerable Not vulnerable
2.2.x Not vulnerable Not vulnerable
2.3.x Not vulnerable Not vulnerable
2.4.x Not vulnerable Not vulnerable
2.5.x Not vulnerable Not vulnerable
2.6.x Not vulnerable Not vulnerable
3.1.xS Not vulnerable Vulnerable; migrate to 3.4.5S or later.
3.1.xSG Not vulnerable Not vulnerable
3.2.xS Not vulnerable Vulnerable; migrate to 3.4.5S or later.
3.2xSE Not vulnerable Not vulnerable
3.2.xSG Not vulnerable Not vulnerable
3.2.XO Not vulnerable Not vulnerable
3.2.xSQ Not vulnerable Not vulnerable
3.3.xS Not vulnerable Vulnerable; migrate to 3.4.5S or later.
3.3xSG Not vulnerable Not vulnerable
3.4.xS Not vulnerable Vulnerable; migrate to 3.4.5S or later.
3.4.xSG Not vulnerable Not vulnerable
3.5.xS Not vulnerable Vulnerable; migrate to 3.7.2S or later.
3.6.xS Not vulnerable Vulnerable; migrate to 3.7.2S or later.
3.7.xS 3.7.2S 3.7.2S
3.8.xS Not vulnerable Not vulnerable
3.9.xS Not vulnerable Not vulnerable

Cisco IOS XR ソフトウェア

Cisco IOS XR ソフトウェアは影響を受けません。


回避策

この脆弱性に対する回避策はありませんが、この脆弱性による問題の発生を減らすために、インフラストラクチャ アクセス コントロール リスト(iACL)など一般的な IP SLA レスポンダを用いるなどの対応策はあります。

IP SLA キー チェーンやコントロール プレーン保護などの従来の対応策は、この脆弱性の軽減に有効ではありません。

一般的なレスポンダとして設定されたデバイスの場合、ネットワーク内のシスコ デバイスに適用可能な対応策は、付属ドキュメント「Identifying and Mitigating Exploitation of the Cisco IOS Software IP Service Level Agreement Vulnerability」で紹介しています。http://tools.cisco.com/security/center/viewAMBAlert.x?alertId=27842/

修正済みソフトウェアの入手

シスコはこのアドバイザリに記載された脆弱性に対処する無償のソフトウェア アップデートを提供しています。ソフトウェアの導入を行う前に、お客様のメンテナンス プロバイダーにご相談いただくか、ソフトウェアのフィーチャ セットの互換性およびお客様のネットワーク環境の特有の問題をご確認ください。

お客様がインストールしたりサポートを受けたりできるのは、ご購入いただいたフィーチャ セットに対してのみとなります。そのようなソフトウェア アップグレードをインストール、ダウンロード、アクセスまたはその他の方法で使用した場合、お客様は http://www.cisco.com/en/US/docs/general/warranty/English/EU1KEN_.html に記載のシスコのソフトウェア ライセンスの条項に従うことに同意したことになります。

サービス契約をご利用のお客様

サービス契約をご利用のお客様は、通常のアップデート チャネルからアップグレード ソフトウェアを入手してください。ほとんどのお客様は、Cisco.com の Software Navigator からアップグレード ソフトウェアを入手できます。http://www.cisco.com/cisco/software/navigator.html

サードパーティのサポート会社をご利用のお客様

シスコ パートナー、正規販売代理店、サービス プロバイダーなど、サードパーティのサポート会社と以前に契約していたか、または現在契約しており、その会社からシスコ製品の提供または保守を受けているお客様は、該当するサポート会社に連絡し、正しい処置についてのサポートを受けてください。

回避策や修正の効果は、使用している製品、ネットワーク トポロジー、トラフィックの性質や組織の目的などに関するお客様の状況によって異なります。影響を受ける製品やリリースは多種多様であるため、回避策を実施する前に、対象ネットワークで適用する回避策または修正が最適であることを、お客様のサービス プロバイダーやサポート会社にご確認ください。

サービス契約をご利用でないお客様

シスコから製品を直接購入したもののシスコのサービス契約をご利用いただいていない場合、または、サードパーティ ベンダーから購入したものの修正済みソフトウェアを購入先から入手できない場合は、Cisco Technical Assistance Center(TAC)に連絡してアップグレード ソフトウェアを入手してください。

  • +1 800 553 2447(北米からの無料通話)
  • +1 408 526 7209(北米以外からの有料通話)
  • E メール:tac@cisco.com

無償アップグレードの対象製品であることを証明していただくために、製品のシリアル番号と、本アドバイザリの URL をご用意ください。サービス契約をご利用でないお客様は TAC に無償アップグレードをリクエストしてください。

多言語による各地の電話番号、説明、E メール アドレスなどの TAC の連絡先情報については、Cisco Worldwide Contact を参照してください。http://www.cisco.com/en/US/support/tsd_cisco_worldwide_contacts.html

不正利用事例と公式発表

Cisco Product Security Incident Response Team(PSIRT)では、本アドバイザリに記載されている脆弱性の不正利用事例とその公表は確認しておりません。

この脆弱性はシスコ内部でのテストによって発見されました。

この通知のステータス:Final

本アドバイザリは無保証のものとしてご提供しており、いかなる種類の保証を示唆するものでもありません。本アドバイザリの情報およびリンクの使用に関する責任の一切はそれらの使用者にあるものとします。またシスコはいつでも本ドキュメントの変更や更新を実施する権利を有します。

後述する情報配信の URL を省略し、本アドバイザリの記述内容に関して単独の転載や意訳を実施した場合には、事実誤認ないし重要な情報の欠落を含む統制不可能な情報の伝搬が行われる可能性があります。


情報配信

このアドバイザリは次のリンクにある Cisco Security Intelligence Operations に掲載されます。

http://www.cisco.com/cisco/web/support/JP/111/1117/1117671_cisco-sa-20130327-ipsla-j.html/

また、このアドバイザリのテキスト版が Cisco PSIRT PGP キーによるクリア署名つきで次の E メールで配信されています。

  • cust-security-announce@cisco.com
  • first-bulletins@lists.first.org
  • bugtraq@securityfocus.com
  • vulnwatch@vulnwatch.org
  • cisco@spot.colorado.edu
  • cisco-nsp@puck.nether.net
  • full-disclosure@lists.grok.org.uk

本アドバイザリに関する今後の更新は Cisco.com に掲載されますが、メーリング リストで配信されるとは限りません。更新内容については、本アドバイザリの URL でご確認ください。


更新履歴

Revision 1.3 2013-April-12 Advisory republished to update metadata. The advisory content was not changed.
Revision 1.2 2013-March-28 Updated "Software Versions and Fixes" section, corrected software table.
Revision 1.1 2013-March-28 Updated "Details" section.
Revision 1.0 2013-March-27 Initial public release.

シスコ セキュリティ手順

シスコ製品におけるセキュリティの脆弱性の報告、セキュリティ事故に関するサポート、およびシスコからセキュリティ情報を入手するための登録方法の詳細については、Cisco.com の http://www.cisco.com/en/US/products/products_security_vulnerability_policy.html を参照してください。この Web ページには、シスコのセキュリティ アドバイザリに関してメディアが問い合わせる際の指示が掲載されています。シスコ セキュリティ アドバイザリについては、すべて http://www.cisco.com/go/psirt/ で確認できます。